﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Calendar.View;

public partial class RadMonthYearPicker : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadMonthYearPicker1_ChildrenCreated(object sender, EventArgs e)
    {
    }
    protected void RadMonthYearPicker1_PreRender(object sender, EventArgs e)
    {
        MonthYearView view = RadMonthYearPicker1.MonthYearTableView;

        // disabling March and August
        foreach (TableRow row in view.Rows)
        {
            foreach (TableCell cell in row.Cells)
            {
                if (cell.Controls.Count > 0)
                {
                    HyperLink link = cell.Controls[0] as HyperLink;
                    if (link != null)
                    {
                        if (link.Text == "Mar" || link.Text == "Aug")
                        {
                            link.Enabled = false;
                            cell.CssClass = "setDisabledClass";
                            cell.Attributes.Add("onmousedown", "determineSelectedCell();");
                            cell.Attributes.Add("onclick", "preventSelection(this);");
                        }
                    }
                }
            }
        }
    }
}